View Issue Details

IDProjectCategoryView StatusLast Update
0000055VitalPBX[All Projects] Bugpublic2018-07-17 18:35
ReporterNeoAnthonyAssigned Tomrivera 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformVitalPBXOSCentosOS Version7
Product Version2.0.0-3b 
Target VersionFixed in Version2.0.4-1 
Summary0000055: PJSIP Extension Status not available or wrong
DescriptionI create a PJSIP extension, and I am able to register it. But when checking its status on the extension status module, it appears as if it is 'Not in Use', or 'Unavailable.'
Steps To ReproduceCreate a PJSIP extension, then register it to a device. It will appear as Not in Use or Unavailable in the Extension Status Module.
Additional InformationHappens both in Softphones and Physical Phones.
TagsExtension Status, PJSIP

Activities

mrivera

2018-01-30 21:31

administrator   ~0000075

What do you expect to see?

NeoAnthony

2018-01-30 23:26

reporter   ~0000077

I expect to see connection information, just like with SIP Devices. 'Status' of OK or connected, 'User Agent' showing what device is connected (if Possible), and 'Host' to show me the IP of the device registered. So I or a site manager can check that the devices are registered using the Extension Status module.

mrivera

2018-02-01 18:01

administrator   ~0000096

Sadly that's the only information that PJSIP endpoints provide, due have multiple contacts/devices, the enpoint status is a mix of the contacts statuses

Screenshot_165.png (21,049 bytes)
Screenshot_165.png (21,049 bytes)

NeoAnthony

2018-02-02 04:05

reporter   ~0000097

OK, I see... We'll wait and see how this technology evolves. Thanks!

Issue History

Date Modified Username Field Change
2018-01-30 18:20 NeoAnthony New Issue
2018-01-30 18:20 NeoAnthony Status new => assigned
2018-01-30 18:20 NeoAnthony Assigned To => mrivera
2018-01-30 18:20 NeoAnthony Tag Attached: PJSIP
2018-01-30 18:21 NeoAnthony Tag Attached: Extension Status
2018-01-30 21:31 mrivera Note Added: 0000075
2018-01-30 23:26 NeoAnthony Note Added: 0000077
2018-02-01 18:01 mrivera File Added: Screenshot_165.png
2018-02-01 18:01 mrivera Note Added: 0000096
2018-02-02 04:05 NeoAnthony Note Added: 0000097
2018-07-17 18:35 mrivera Status assigned => resolved
2018-07-17 18:35 mrivera Resolution open => fixed
2018-07-17 18:35 mrivera Fixed in Version => 2.0.4-1
2018-07-17 18:35 mrivera Status resolved => closed